# FoxDebug.py
# 2009 Fredrik 'Grey Fox' Henriksson

from CvPythonExtensions import *

# Grey Fox Storage
class FoxStorage:
	def __init__(self, title = "Title"):
		self.Title		= title
		self.Library 	= {}
		self.Current 	= {}
		self.Rows 		= {}

	def getTitle(self):
		return self.Title
	
	def getRows(self, iPlayer):
		if self.Rows.has_key(iPlayer):
			return self.Rows[iPlayer]
		return 0
			
	def addRows(self, iPlayer, iRows):
		if self.Rows.has_key(iPlayer):
			self.Rows[iPlayer] = (self.Rows[iPlayer] + iRows)
		else:
			self.Rows[iPlayer] = iRows
			
	def clearCurrent(self, iPlayer):
		self.Current[iPlayer] = []
	
	def clearLibrary(self, iPlayer):
		self.Library[iPlayer] = []
	
	def getCurrent(self, iPlayer):
		if self.Current.has_key(iPlayer):
			return self.Current[iPlayer]
		return []
	
	def updateLibrary(self, iPlayer):
		if self.Library.has_key(iPlayer):
			List = self.Library[iPlayer]
		else:
			List = []
		List.append(self.getCurrent(iPlayer))
		self.Library[iPlayer] = List
		self.clearCurrent(iPlayer)
			
	def getLibrary(self, iPlayer):
		if self.Library.has_key(iPlayer):
			return self.Library[iPlayer]
		return []
		
	def addLine(self, iPlayer, szText, color = None):
		if self.Current.has_key(iPlayer):
			List = self.Current[iPlayer]
		else:
			List = []
		List.append(szText)
		self.Current[iPlayer] = List
		
		
		
		