# Civilization 4 (c) 2007 Firaxis Games
# Civ4 IRC Client (c) 2009 - ArticNightWolf & Fredrik 'Grey Fox' Henriksson 

import CvUtil
import CvEventManager
import CvDynamicTraitsEvents
from CvPythonExtensions import *

ModEventManager = CvDynamicTraitsEvents.CvDynamicTraitsEvents()
normalEventManager = CvEventManager.CvEventManager()

def getEventManager():
	return ModEventManager
	
def onEvent(argsList):
	'Called when a game event happens - return 1 if the event was consumed'
	return getEventManager().handleEvent(argsList)

def applyEvent(argsList):
	context, playerID, netUserData, popupReturn = argsList
	return getEventManager().applyEvent(argsList)

def beginEvent(context, argsList=-1):
	return getEventManager().beginEvent(context, argsList)
